
(defun layblaet_load_menu (/ oldce menu menu_pos)

  (if (or (setq mnu (findfile "layblaet.mns"))
          (setq mnu (findfile "layblaet.mnu"))
          ) ;_ Ende von or
    (progn
      (command "_menuload" mnu)
      (if
        (= (getvar "cmdactive") 1)
         (command)
         ) ;_ end of if
      ) ;_ end of progn
    (alert
      "\nDas Layblaet-Men konnte in keinem Acad-Supportpfad gefunden werden.\nBitte die Supportpfade berprfen, oder die Datei 'Layblaet.mnu in ein Supportverzeichnis kopieren!"
      ) ;_ Ende von alert
    ) ;_ end of if
  ) ;_ end of defun

(defun md_Laylist (/)

  (setq md_layer_0 (tblnext "layer" "0"))
  (setq md_layer_0 (cdr (assoc 2 md_layer_0)))
  (setq md_layerliste nil)
  (setq md_layerliste (list md_layer_0))
  (setq md_layer_next (tblnext "layer"))
  (setq md_layer_tbl md_layer_next)
  (setq md_layer_next (cdr (assoc 2 md_layer_next)))
  (while (/= md_layer_next nil)
    (progn
      (setq md_layer_next (list md_layer_next))
      (if (= (cdr (assoc 70 md_layer_tbl)) 0)
        (setq md_layerliste (append md_layerliste md_layer_next))
        ) ;_ end of if
      (setq md_layer_next (tblnext "layer"))
      (setq md_layer_tbl md_layer_next)
      (setq md_layer_next (cdr (assoc 2 md_layer_next)))
      )                                 ;ende progn
    )                                   ;ende while
  (setq md_layerliste (acad_strlsort md_layerliste))
  )                                     ;ende defun md_laylist


(defun C:Lay_up (/)
    (md_laylist)
  (setvar "cmdecho" 0)
  (setq md_ist_lay (getvar "CLAYER"))
  (setq md_soll_lay nil)
  (setq md_zaehler 0)
  (while (/= md_ist_lay md_soll_lay)
    (setq md_soll_lay (nth md_zaehler md_layerliste))
    (setq md_zaehler (1+ md_zaehler))
    (if (= md_zaehler (length md_layerliste))
      (setq md_zaehler 0)
      ) ;_ end of if
    ) ;_ end of while
  (setq neuer_lay (nth md_zaehler md_layerliste))
  (if
    (/= (tblsearch "LAYER" neuer_lay) NIL)
    (progn
    (command "_-LAYER" "_on" "*" "ta" "*" "_set" neuer_lay "_off" "*")
    (if (= (getvar "EXPERT") 0)
      (command "N" "")
      (command "_on" neuer_lay "") ;_ end of command
      )
    )
    (progn
      (command)
      (md_laylist)
      (command "_-LAYER" "_on" "*" "ta" "*" "_set" neuer_lay "_off" "*")
    (if (= (getvar "EXPERT") 0)
      (command "N" "")
      (command "_on" neuer_lay "") ;_ end of command
      )
      )
    )
  )                                     ;ende defun

(defun c:Lay_down (/)
    (md_laylist)
  (setvar "cmdecho" 0)
  (setq md_ist_lay (getvar "CLAYER"))
  (setq md_soll_lay nil)
  (setq md_zaehler 0)
  (while (/= md_ist_lay md_soll_lay)
    (setq md_soll_lay (nth md_zaehler md_layerliste))
    (setq md_zaehler (1+ md_zaehler))
    (if (= md_zaehler (length md_layerliste))
      (setq md_zaehler (length md_layerliste))
      ) ;_ end of if
    ) ;_ end of while
  (setq md_zaehler_neu (1- md_zaehler))
  (if (minusp (1- md_zaehler_neu))
    (setq neuer_lay (nth (1- (length md_layerliste)) md_layerliste))
    (setq neuer_lay (nth (1- md_zaehler_neu) md_layerliste))
    )
  (if
    (/= (tblsearch "LAYER" neuer_lay) NIL)
    (progn
    (command "_-LAYER" "_on" "*" "ta" "*" "_set" neuer_lay "_off" "*")
    (if (= (getvar "EXPERT") 0)
      (command "N" "")
      (command "_on" neuer_lay "") ;_ end of command
      )
    )
    (progn
      (command)
      (md_laylist)
      (command "_-LAYER" "_on" "*" "ta" "*" "_set" neuer_lay "_off" "*")
    (if (= (getvar "EXPERT") 0)
      (command "N" "")
      (command "_on" neuer_lay "") ;_ end of command
      )
      )
    )
  )                                     ;ende defun
;(defun c:layblaet ( / )
(layblaet_load_menu)
;
;|Visual LISP Format Options
(72 2 40 1 T "end of " 60 9 0 0 0 nil T nil T)
;*** KEINEN Text unterhalb des Kommentars hinzufgen! ***|;
